GLM_EXT_vector_uint4_sized
Stable extensions

## Typedefs

typedef vec< 4, uint16, defaultp > | u16vec4
| 16 bit unsigned integer vector of 4 components type. More...
typedef vec< 4, uint32, defaultp > | u32vec4
| 32 bit unsigned integer vector of 4 components type. More...
typedef vec< 4, uint64, defaultp > | u64vec4
| 64 bit unsigned integer vector of 4 components type. More...
typedef vec< 4, uint8, defaultp > | u8vec4
| 8 bit unsigned integer vector of 4 components type. More...

## Detailed Description

Exposes sized unsigned integer vector of 4 components type.

Include <glm/ext/vector_uint4_sized.hpp> to use the features of this extension.

See also
  GLM_EXT_scalar_uint_sized
  GLM_EXT_vector_int4_sized

## Typedef Documentation

## u16vec4

typedef vec< 4, u16, defaultp > u16vec4

16 bit unsigned integer vector of 4 components type.

See also
  GLM_EXT_vector_uint4_sized

Definition at line 36 of file vector_uint4_sized.hpp.

## u32vec4

typedef vec< 4, u32, defaultp > u32vec4

32 bit unsigned integer vector of 4 components type.

See also
  GLM_EXT_vector_uint4_sized

Definition at line 41 of file vector_uint4_sized.hpp.

## u64vec4

typedef vec< 4, u64, defaultp > u64vec4

64 bit unsigned integer vector of 4 components type.

See also
  GLM_EXT_vector_uint4_sized

Definition at line 46 of file vector_uint4_sized.hpp.

## u8vec4

typedef vec< 4, u8, defaultp > u8vec4

8 bit unsigned integer vector of 4 components type.

See also
  GLM_EXT_vector_uint4_sized

Definition at line 31 of file vector_uint4_sized.hpp.